org.mariadb.jdbc.internal.packet.dao.parameters

## Class NullParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.NullParameter

All Implemented Interfaces:
  Cloneable, ParameterHolder

    public class NullParameter
    extends Object
    implements ParameterHolder, Cloneable

### Constructor Summary

Constructors
Constructor and Description
`NullParameter()`
`NullParameter(MariaDbType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getApproximateTextProtocolLength()`
`MariaDbType` `getMariaDbType()`
`boolean` `isLongData()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream writeBuffer)`
`void` `writeTo(PacketOutputStream os)` Write parameter value.
`void` `writeUnsafeTo(PacketOutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NullParameter

    public NullParameter()

#### NullParameter

    public NullParameter(MariaDbType type)

### Method Detail

#### writeTo

    public void writeTo(PacketOutputStream os)

Description copied from interface: `ParameterHolder`
Write parameter value.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `os` - the stream to write to

#### writeUnsafeTo

    public void writeUnsafeTo(PacketOutputStream os)

Specified by:
  `writeUnsafeTo` in interface `ParameterHolder`

#### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`

#### writeBinary

    public void writeBinary(PacketOutputStream writeBuffer)

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in interface `ParameterHolder`

#### getMariaDbType

    public MariaDbType getMariaDbType()

Specified by:
  `getMariaDbType` in interface `ParameterHolder`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`